Inhoud

# Operator Not

Gebruikt om een ontkennende uitdrukking te creëren door de bit-waardes tegengesteld te gebruiken.

## Syntaxis:

    Resultaat = Not Expressie

## Parameters:

Resultaat: Een numerieke variabele die het resultaat van de ontkennende expressie bevat.

Expressie: Elke expressie die als ontkennend moet worden opgevat.

In een ontkennende Booleaanse expressie wordt de waarde Waar, Onwaar en andersom.

In een bit-gewijze ontkenning wordt elke individueel bit omgekeerd.

## Voorbeeld:

    Sub ExampleNot
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vUit = Not vA ' geeft -11 terug
        vUit = Not(vC > vD) ' Geeft -1 terug
        vUit = Not(vB > vA) ' Geeft -1 terug
        vUit = Not(vA > vB) ' Geeft 0 terug
    End Sub